Bug 491824 - Brightness keys don't work in xfce4.6
Brightness keys don't work in xfce4.6
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 06:16 EDT by Aioanei Rares
Modified: 2011-06-27 10:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:08:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aioanei Rares 2009-03-24 06:16:37 EDT
Description of problem:

Brightness doesn't work in xfce4.6 on a HP dv9750ed laptop. If unplugged from power, brightness doesn't decrease; also, all hotkeys and fn keys work ok, but if one tries to set the brightness up/down using fn+F7/F8 (brightness down/up) the small brightness window appears, but nothing else happens.

Version-Release number of selected component (if applicable):

4.6

How reproducible:

Everytime

Steps to Reproduce:
1.Try setting the brightness from fn keys
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kevin Fenzi 2009-03-24 12:04:24 EDT
I would suspect this is a hal issue rather than a Xfce one. 

Some questions: 

1. Is gnome-power-manager running? 

2. Is xfce4-power-manager running?

3. Does the brightness adjustment work in the gdm login screen before you login?
Comment 2 Christoph Wickert 2009-03-30 19:35:28 EDT
You need to run gnome-power-manager, xfce4-power-manager does not handle brightness.
Comment 3 Kevin Fenzi 2009-03-30 19:50:12 EDT
hal should be handling this these days I thought... 

It works fine for me here with xfce4-power-manager.
Comment 4 Richard Hughes 2009-04-01 05:31:12 EDT
HAL is just the mechanism, not the policy agent.
Comment 5 Kevin Fenzi 2009-04-01 23:26:05 EDT
ok. What would be handling the up/down brightness keys then?

Or rather, what is handling them for me, but not for the reporter?
Comment 6 Bug Zapper 2009-06-09 08:33:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Scott Glaser 2009-09-09 09:30:25 EDT
Have you tried with the latest hal package in Fedora 11 or tried Rawhide? In
either case, can you let us know whether the issue is still happening, and give
the current version of the HAL packages you're using?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Pavel Alexeev 2010-03-13 17:40:44 EST
Same problem on Acer Aspire 5740
https://bugzilla.redhat.com/show_bug.cgi?id=539961#c9
Comment 9 Bug Zapper 2010-04-27 09:18:38 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Pavel Alexeev 2010-04-27 11:39:14 EDT
It still does not work.
Comment 11 Christoph Wickert 2010-04-30 08:39:23 EDT
Then please be so kind as to anser the questions in comment #1. Thanks!
Comment 12 Pavel Alexeev 2010-04-30 16:37:52 EDT
xfce4-power-manager running, gnome-power-manager - is not.

On login screen even on-screen display level do not appeared.
Comment 13 Christoph Wickert 2010-04-30 17:47:34 EDT
Thanks for your feedback. Can you please install gnome-powermanager and see if it works on the login screen or in Xfce if you use gnome-power-manager instead of xfce-power-manager?

When you reply to the questions, please clear the needinfo flag. TIA!
Comment 14 Pavel Alexeev 2010-04-30 18:03:37 EDT
May be you mean gnome-power-manager? I do not see gnome-powermanager in repositories.

I install gnome-power-manager. How it supposed should be properly swaped? Should I delete xfce4-power-manager first?
Comment 15 Christoph Wickert 2010-05-02 03:41:46 EDT
On the login page, gnome-power-manager is already be running. To test in the Xfce session, disable xfce4-power-manager and activate gnome-power-manager instead in  xfce4-session-settings.

(clearing the NEEDINFO flag for you now. Thanks a lot for all your feedback).
Comment 16 Christoph Wickert 2010-05-02 03:44:18 EDT
BTW: Still works for me here on Asus after upgrading to F13 branch now, so I don't think this is an issue with gnome-power-manager but with hal.
Comment 17 Pavel Alexeev 2010-05-02 06:07:49 EDT
Now indication appeared, but real brightness still not touched.

I assume NEEDINFO canceled after answer, or not? How I can explicit clear it? I only seen flag to request needinfo...
Comment 18 Christoph Wickert 2010-05-02 09:50:32 EDT
(In reply to comment #17)
> Now indication appeared, but real brightness still not touched.

Ok, then it's not a power-manager problem, nether GNOME nor Xfce. Reassigning back to HAL. Richard, please provide the necessary questions and hints to debug this problem and reassign it to kernel or whatever component you think is to blame.

> I assume NEEDINFO canceled after answer, or not? How I can explicit clear it?

By marking the checkbox "I am providing the necessary info..." just below the comment field when you reply to a bug which is needinfo. Pavel, what hardware are you running? Can you please give us the link to your smolt profile?
Comment 19 Pavel Alexeev 2010-05-02 10:01:05 EDT
(In reply to comment #18)
> > I assume NEEDINFO canceled after answer, or not? How I can explicit clear it?
> By marking the checkbox "I am providing the necessary info..." just below the
> comment field when you reply to a bug which is needinfo.

As I say, there no such checkbox, only text: "Additional information was requested for this bug. Adding comment will automatically clear needinfo request from you."

> Pavel, what hardware
> are you running? Can you please give us the link to your smolt profile?    
Acer Aspire 5740.
Smolt info: http://www.smolts.org/client/show/pub_8f1d4de8-7aad-468b-9527-7b942c39e1be
Comment 20 Christoph Wickert 2010-11-06 14:40:08 EDT
Thanks for the feedback. Unfortunately this bug report lacks an important information: What version of xfce4-power-manager did you use then you reported the bug? 0.8.5 included a couple of fixes for situations where HAL reported negative brightness levels. Can you please test it? It is already in the F13 repositories, for F14 use https://admin.fedoraproject.org/updates/xfce4-power-manager-0.8.5-1.fc14
Comment 21 Aioanei Rares 2010-11-07 14:48:20 EST
Obviuosly, I don't know/remember  the version; I have just upgraded to F14 updates-testing and the version is 0.8.5-1 and it doesn't work.
Comment 22 Christoph Wickert 2010-11-07 15:23:35 EST
Thanks for the feedback. Can you also test with gnome-power-manager again?

Richard, how can we debug this?
Comment 23 Aioanei Rares 2010-11-08 08:56:47 EST
Sorry guys, my bad. xfce4-power-manager works. gnome-power-manager does not under XFCE.
Comment 24 Bug Zapper 2011-06-02 14:11:59 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 25 Bug Zapper 2011-06-27 10:08:07 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.